//=============================================================================
// utb_GBloodDrop.
//=============================================================================
class UTB_GBloodDrop extends Blood2;

simulated function PostBeginPlay()
{
	Velocity = (Vector(Rotation) + VRand()) * (class'MoreBloodConfig'.default.SpurtLevel * FRand() + 1);
	Velocity.z += (FRand()*class'MoreBloodConfig'.default.SpurtLevel) + class'MoreBloodConfig'.default.SpurtLevel;
	Drawscale = ((FRand()*class'MoreBloodConfig'.default.BDDrawScale) / 5) + 0.00125;
	LifeSpan = class'MoreBloodConfig'.default.BDLifeSpan;
	if (Level.NetMode != NM_DedicatedServer)
	{
		SpawnDrop();
	}
}

simulated function SpawnDrop()
{
	local Actor A;

	A = spawn(class'UT_BloodDrop');
	A.RemoteRole = ROLE_SimulatedProxy;
}

defaultproperties
{
     bHighDetail=True
     Physics=PHYS_Falling
     bStatic=False
     LifeSpan=2.000000
     DrawType=DT_Sprite
     Style=STY_Masked
     Texture=Texture'BloodSGrn'
     DrawScale=0.0600000
     AmbientGlow=160
     bCollideWorld=True
     bBounce=True
     NetPriority=2.000000
}
